# $Revision: 1.23 $, $Date: 2011/11/01 18:36:29 $
%define 	module	imdb
Summary:	Python package useful to retrieve and manage the data of the IMDb movie database
Summary(pl.UTF-8):	Pakiet Pythona do uzyskiwania i zarządzania danymi z bazy danych filmów IMDb
Name:		python-%{module}
Version:	4.8
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/imdbpy/IMDbPY-%{version}.tar.gz
# Source0-md5:	89a78ed8b10215b939b4e3a1baf68549
URL:		http://imdbpy.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-lxml
# SQLAlchemy or SQLObject
Suggests:	python-SQLAlchemy
Suggests:	python-SQLObject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database. IMDbPY aims to provide an easy way to access
the IMDb's database using a Python script. Platform-independent and
written in pure Python, it's theoretically independent from the data
source (since IMDb provides two or three different interfaces to their
database). IMDbPY is mainly intended for programmers and developers
who want to build their Python programs using the IMDbPY package, but
some example scripts - useful for simple users - are included.

%description -l pl.UTF-8
IMDbPY to pythonowy pakiet przydatny do uzyskiwania i zarządzania
danymi z bazy danych filmów IMDb. Celem IMDbPY jest dostarczenie
łatwego sposobu na dostęp do baz IMDb z poziomu skryptów Pythona. Jest
niezależny od platformy i napisany w czystym Pythonie, więc jest
teoretycznie niezależny od źródła danych (jako że IMDb dostarcza dwa
lub trzy różne interfejsy do ich bazy). IMDbPY jest przeznaczony
głównie dla programistów chcących tworzyć programy przy użyciu tego
pakietu, ale załączonych jest także kilka przykładowych skryptów
przydatnych dla zwykłych użytkowników.

%prep
%setup -q -n IMDbPY-%{version}

rm docs/GPL.txt

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT{%{_prefix}%{_sysconfdir},%{_sysconfdir}}/imdbpy.cfg

# fix in setup.py instead
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{en,it,tr,it}/LC_MESSAGES
rm $RPM_BUILD_ROOT%{_prefix}/imdb/locale/*.{pot,po}
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/en/LC_MESSAGES/imdbpy.mo
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/it/LC_MESSAGES/imdbpy.mo
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/tr/LC_MESSAGES/imdbpy.mo

# we use %doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

# .py ext is ugly
for a in $RPM_BUILD_ROOT%{_bindir}/*.py; do
	mv $a ${a%.py}
done

# add suffix to commands
for a in $RPM_BUILD_ROOT%{_bindir}/get_* $RPM_BUILD_ROOT%{_bindir}/search_*; do
	d=${a%/*}
	f=${a##*/}

	mv $a $d/imdbpy_$f
done

%find_lang imdbpy

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files -f imdbpy.lang
%defattr(644,root,root,755)
%doc docs/*.txt docs/README.????* docs/goodies
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imdbpy.cfg
%attr(755,root,root) %{_bindir}/imdbpy_*
%attr(755,root,root) %{_bindir}/imdbpy2sql
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/locale
%{py_sitedir}/%{module}/locale/*.py[co]
%dir %{py_sitedir}/%{module}/parser
%{py_sitedir}/%{module}/parser/*.py[co]
%dir %{py_sitedir}/%{module}/parser/http
%{py_sitedir}/%{module}/parser/http/*.py[co]
%dir %{py_sitedir}/%{module}/parser/http/bsouplxml
%{py_sitedir}/%{module}/parser/http/bsouplxml/*.py[co]
%dir %{py_sitedir}/%{module}/parser/mobile
%{py_sitedir}/%{module}/parser/mobile/*.py[co]
%dir %{py_sitedir}/%{module}/parser/sql
%{py_sitedir}/%{module}/parser/sql/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/parser/sql/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-imdb.spec,v $
Revision 1.23  2011/11/01 18:36:29  areq
- 4.8

Revision 1.22  2011/06/10 20:58:24  zbyniu
- up to 4.7

Revision 1.21  2010/11/13 00:19:23  pawelz
- release 2

Revision 1.20  2010/08/24 17:28:03  glen
- up to 4.6, prefix bin scripts with common name

Revision 1.19  2010/07/08 08:15:07  arekm
- release 2

Revision 1.18  2009/11/18 20:36:29  arekm
- up to 4.3

Revision 1.17  2009/03/14 00:18:04  hawk
- release 2

Revision 1.16  2008/12/14 16:03:53  areq
- 3.8

Revision 1.15  2008/10/03 17:51:19  arekm
- release 2

Revision 1.14  2008/06/17 11:03:58  charles
- BR: python-devel, rpm-pythonprov

Revision 1.13  2008/05/31 18:46:46  areq
- 3.5

Revision 1.12  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.10  2006/09/16 09:47:02  maciek2w
- updated to 2.6
- added users' scripts to search IMDb

Revision 1.9  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.8  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/07/06 19:27:26  areq
- 1.3

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2004/05/03 12:34:55  areq
- 1.2

Revision 1.4  2004/04/18 14:25:26  areq
- 1.1

Revision 1.3  2004/04/03 08:36:07  qboosh
- pl, missing dirs

Revision 1.2  2004/04/02 22:43:50  areq
- use %{py_sitescriptdir}

Revision 1.1  2004/04/02 21:43:46  areq
- init PLD spec, NFY
